#ifndef ___CMAINDIALOG_H_INCLUDED___
#define ___CMAINDIALOG_H_INCLUDED___

static const WCHAR g_awComboContainer[5][32] = 
{
   TEXT("弌椡丗wav"),
   TEXT("弌椡丗mp3(Fraunhofer)"),
   TEXT("弌椡丗mp3(Lame)"),
   TEXT("弌椡丗ogg(aoTuv)"),
   TEXT("塮憸偐傜壒惡偺傒拪弌")
};

static const WCHAR g_awLabelSetting[5][16] = 
{
   TEXT("弌椡壒幙"),
   TEXT("Fraunhofer愝掕"),
   TEXT("Lame愝掕"),
   TEXT("Ogg愝掕"),
   TEXT("壒惡偺拪弌")
};


static const int g_nComboFraunhofer[14] = 
{
    32000,
    40000,
    48000,
    56000,
    64000,
    80000,
    96000,
   112000,
   128000,
   160000,
   192000,
   224000,
   256000,
   320000
};

static const WCHAR g_awComboFraunhofer[14][8] = 
{
   TEXT(" 32kbps"),
   TEXT(" 40kbps"),
   TEXT(" 48kbps"),
   TEXT(" 56kbps"),
   TEXT(" 64kbps"),
   TEXT(" 80kbps"),
   TEXT(" 96kbps"),
   TEXT("112kbps"),
   TEXT("128kbps"),
   TEXT("160kbps"),
   TEXT("192kbps"),
   TEXT("224kbps"),
   TEXT("256kbps"),
   TEXT("320kbps")
};


static const int g_nComboLameCbr[14] = 
{
    32,
    40,
    48,
    56,
    64,
    80,
    96,
   112,
   128,
   160,
   192,
   224,
   256,
   320
};

static const WCHAR g_awComboLameCbr[14][8] = 
{
   TEXT(" 32kbps"),
   TEXT(" 40kbps"),
   TEXT(" 48kbps"),
   TEXT(" 56kbps"),
   TEXT(" 64kbps"),
   TEXT(" 80kbps"),
   TEXT(" 96kbps"),
   TEXT("112kbps"),
   TEXT("128kbps"),
   TEXT("160kbps"),
   TEXT("192kbps"),
   TEXT("224kbps"),
   TEXT("256kbps"),
   TEXT("320kbps")
};


static const int g_nComboLameVbr[10] = 
{
   0,
   1,
   2,
   3,
   4,
   5,
   6,
   7,
   8,
   9
};

static const WCHAR g_awComboLameVbr[10][32] = 
{
   TEXT("0 (200乣240kbps)"),
   TEXT("1 (190乣230kbps)"),
   TEXT("2 (170乣210kbps)"),
   TEXT("3 (150乣180kbps)"),
   TEXT("4 (140乣170kbps)"),
   TEXT("5 (120乣150kbps)"),
   TEXT("6 (110乣140kbps)"),
   TEXT("7 (100乣130kbps)"),
   TEXT("8 ( 90乣120kbps)"),
   TEXT("9 ( 80乣110bps)")
};


static const int g_nComboOggCbr[14] = 
{
    32000,
    40000,
    48000,
    56000,
    64000,
    80000,
    96000,
   112000,
   128000,
   160000,
   192000,
   224000,
   256000,
   320000
};

static const WCHAR g_awComboOggCbr[14][8] = 
{
   TEXT(" 32kbps"),
   TEXT(" 40kbps"),
   TEXT(" 48kbps"),
   TEXT(" 56kbps"),
   TEXT(" 64kbps"),
   TEXT(" 80kbps"),
   TEXT(" 96kbps"),
   TEXT("112kbps"),
   TEXT("128kbps"),
   TEXT("160kbps"),
   TEXT("192kbps"),
   TEXT("224kbps"),
   TEXT("256kbps"),
   TEXT("320kbps")
};


static const float g_fComboOggVbr[12] = 
{
  -0.1f,
   0.0f,
   0.1f,
   0.2f,
   0.3f,
   0.4f,
   0.5f,
   0.6f,
   0.7f,
   0.8f,
   0.9f,
   1.0f
};

static const WCHAR g_awComboOggVbr[12][32] = 
{
   TEXT("-0.1丂栺 48kbps"),
   TEXT(" 0.0丂栺 64kbps"),
   TEXT(" 0.1丂栺 80kbps"),
   TEXT(" 0.2丂栺 96kbps"),
   TEXT(" 0.3丂栺128kbps"),
   TEXT(" 0.4丂栺144kbps"),
   TEXT(" 0.5丂栺160kbps"),
   TEXT(" 0.6丂栺192kbps"),
   TEXT(" 0.7丂栺210kbps"),
   TEXT(" 0.8丂栺240kbps"),
   TEXT(" 0.9丂栺320kbps"),
   TEXT(" 1.0丂栺480kbps")
};


static const int g_nComboSamplingrate[13] = 
{
     8000,
    11025,
    12000,
    16000,
    22050,
    24000,
    32000,
    44100,
    48000,
    88200,
    96000,
   176400,
   192000
};

static const WCHAR g_awComboSamplingrate[13][16] = 
{
   TEXT("8,000Hz"),
   TEXT("11,025Hz"),
   TEXT("12,000Hz"),
   TEXT("16,000Hz"),
   TEXT("22,050Hz"),
   TEXT("24,000Hz"),
   TEXT("32,000Hz"),
   TEXT("44,100Hz"),
   TEXT("48,000Hz"),
   TEXT("88,200Hz"),
   TEXT("96,000Hz"),
   TEXT("176,400Hz"),
   TEXT("192,000Hz")
};


static const int g_nComboBitsPerSample[6] = 
{
   8,
   16,
   24,
   32,
   32,
   64
};

static const WCHAR g_awComboBitsPerSample[6][16] = 
{
   TEXT(" 8bit"),
   TEXT("16bit"),
   TEXT("24bit"),
   TEXT("32bit(惍悢)"),
   TEXT("32bit(彫悢)"),
   TEXT("64bit")
};

static const WCHAR g_awComboChannels[2][16] = 
{
   TEXT("儌僲儔儖"),
   TEXT("僗僥儗僆")
};

#endif ___CMAINDIALOG_H_INCLUDED___
